"""
Django settings for djsite project.

Generated by 'django-admin startproject' using Django 1.8.7.

For more information on this file, see
https://docs.djangoproject.com/en/1.8/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/1.8/ref/settings/
"""

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
import os

BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/1.8/howto/deployment/checklist/

# SECRET_KEY overridden in settings-{dev,prod}.py

# DEBUG overridden in settings-{dev,prod}.py

# ALLOWED_HOSTS overridden in settings-{dev,prod}.py

# Application definition

INSTALLED_APPS = (
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'jquery',
    'tinymce',
    'quotes',
)

MIDDLEWARE_CLASSES = (
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.auth.middleware.SessionAuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
    'django.middleware.security.SecurityMiddleware',
)

ROOT_URLCONF = 'djsite.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'djsite.wsgi.application'


# Database
# https://docs.djangoproject.com/en/1.8/ref/settings/#databases

# DATABASES overridden in settings-{dev,prod}.py

# Internationalization
# https://docs.djangoproject.com/en/1.8/topics/i18n/

LANGUAGE_CODE = 'en-GB'

TIME_ZONE = 'Europe/London'

USE_I18N = True

USE_L10N = True

USE_TZ = True

# DATE_INPUT_FORMATS = [
#     "%d/%m/%Y",                 # 12/11/2016 for 12th Nov 2016
#     "%Y-%m-%d",                 # 2016-11-12 for 12th Nov 2016
# ]

# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/1.8/howto/static-files/
# STATIC_URL overridden in settings-{dev,prod}.py

TINYMCE_DEFAULT_CONFIG = {
#    'theme_advanced_buttons1' : ['bold', 'underline', 'italic', 'separator', 'insertdate', 'inserttime'],
    'theme_advanced_buttons1' : 'undo,redo,cut,copy,paste,|,bold,italic,removeformat,|,bullist,numlist,|,link,unlink',
    'theme_advanced_buttons2' : '',
    'theme_advanced_buttons3' : "",
    'plugins': 'table',
    'valid_elements': 'a[href],b,strong,u,i,em,ul,ol,li,p,br'
}
