from django.shortcuts import render

from random import randint

from quotes.models import Author, Work, Quote, QuoteTag
from quotes import search
from quotes import tagcloud

# create your views here.
def index(request):
    return render(request, 'quotes/index.html')

def onequote(request, quote_id):
    q = Quote.objects.get(id=quote_id)
    return _onequote(request, q)

def random(request):
    count = Quote.objects.count()
    q = Quote.objects.all()[randint(0, count-1)]
    return _onequote(request, q)

def _onequote(request, q):
    q.incr_display()
    context = { 'quote' : q }
    return render(request, 'quotes/onequote.html', context)

def tags(request, tag_id):
    tag = QuoteTag.objects.get(id=tag_id)
    context = { 'tag' : tag }
    return render(request, 'quotes/tag.html', context)

def author(request, author_id):
    author = Author.objects.get(id=author_id)
    author.incr_display()
    context = { 'author' : author }
    return render(request, 'quotes/author.html', context)

def work(request, work_id):
    work = Work.objects.get(id=work_id)
    work.incr_display()
    context = { 'work': work }
    return render(request, 'quotes/work.html', context)

def all(request):
    quotes = Quote.objects.all()
    context = { 'quotes' : quotes }
    return render(request, 'quotes/all.html', context)

def searchpage(request):
    results = {}
    if 'q' in request.POST:
        results = search.search(request.POST['q'])
    return render(request, 'quotes/search.html', results)

def cloud(request):
    clouddata = tagcloud.build_cloud()
    return render(request, 'quotes/cloud.html', clouddata)
